Bug 173729 - libipt_recent missing
libipt_recent missing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iptables (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2005-11-19 15:32 EST by Christopher McCrory
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 11:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2005-11-19 15:32:53 EST
Description of problem:
libipt_recent is missing from the iptables package

Version-Release number of selected component (if applicable):
1.2.8-12.3

How reproducible:
always

Steps to Reproduce:
1. install iptables
2. try to use -m recent
3.
  
Actual results:
Applying iptables firewall rules: iptables-restore v1.2.8: Couldn't load match
`recent':/lib/iptables/libipt_recent.so: cannot open shared object file: No such
file or directory


Expected results:
library loads

Additional info:

sample rule:
-A RH-Firewall-1-INPUT -m state --state NEW -m tcp -p tcp --dport 22 -m recent
--rcheck --name SSH -j ACCEPT 
-A RH-Firewall-1-INPUT -m state --state NEW -m tcp -p tcp --dport 5500 -m recent
--name SSH --set -j DROP 
-A RH-Firewall-1-INPUT -m state --state NEW -m tcp -p tcp --dport 5501 -m recent
--name SSH --remove -j DROP


rpmbuild --rebuild iptables-1.2.8-12.3.src.rpm 
and it shows up ( built on: RHEL3 U6 2.4.21-37.ELsmp #1 SMP)
Comment 1 Milan Kerslager 2006-01-19 09:43:04 EST
To test rebuilded package, you may use my repository (ver 1.2.8-12.3.ker.rhel3):

ftp://ftp.linux.cz/pub/linux/people/milan_kerslager/RHEL-3/stable/iptables-*
ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-3/stable/iptables-*
Comment 2 Milan Kerslager 2006-01-19 09:44:41 EST
Doh. You have to cut "iptables-*" from the URLs above. Sorry.
Comment 3 Milan Kerslager 2006-01-19 12:06:33 EST
As of posting to the Taroon list, this version is broken when trying to save
iptables rules with rule with recent module:

https://www.redhat.com/archives/taroon-list/2006-January/msg00121.html

I'm using newer version from RHEL4 (rebuilded for RHEL3) to support
ipt_connlimit and it seems to work good for longer time. The saving rules works
too. So I replaced iptables in my stable repository (to
iptables-1.2.11-3.1.1.ker.rhel3):

ftp://ftp.linux.cz/pub/linux/people/milan_kerslager/RHEL-3/stable/
ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-3/stable/
Comment 6 Christopher McCrory 2007-01-10 20:47:08 EST
any chance of this making RHEL3 U9 ?

Comment 7 Issue Tracker 2007-07-04 12:13:18 EDT
Hallo Uwe,

ich schliesse dieses, da RHEL3 geschlossen wurde und dieses nicht
augenommen wurde.

Daher macht es keinen Sinn dieses Issue offen zu lassen.

Gruss,

Steffen

Internal Status set to 'Resolved'
Status set to: Closed by Client
Resolution set to: 'Closed by Client'
Ticket type set to: 'Question'

This event sent from IssueTracker by smann 
 issue 89887
Comment 8 Thomas Woerner 2007-07-24 11:59:05 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux. 

Note You need to log in before you can comment on or make changes to this bug.